View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
17226Feature requestsImport/Exportpublic2021-08-09 15:16
Reporteradamzammit Assigned Toadamzammit  
PrioritynoneSeverityfeature 
Status testingResolutionfixed 
Summary17226: SPSS/PSPP SAV file output
DescriptionCurrently LimeSurvey exports to SPSS via a syntax file and data file. This requires you to run syntax in SPSS to create a data file. The syntax also may need to be modified to allow it to run on PSPP or older versions of SPSS.

Also the export is in a separate area in the LimeSurvey interface (doesn't integrate with the export function which allows for the selection of columns to export / etc).

This feature will allow for the export of an SPSS "sav" file which allows for SPSS / PSPP to read without running any syntax, and be integrated in the LimeSurvey export interface.


Additional InformationSee pull request here: https://github.com/LimeSurvey/LimeSurvey/pull/1834

Standalone plugin here: https://github.com/adamzammit/ExportSPSSsav
TagsNo tags attached.
Bug heat6

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2021-04-06 07:56

developer   ~63806

@alexblock try your plugin with success !
ollehar

ollehar

2021-04-06 10:47

administrator   ~63807

Looks like the plugin contains its own vendor/ folder. Is that good or bad? Or should the dependencies be moved to the app vendor folder if it's core plugin?
DenisChenu

DenisChenu

2021-04-06 10:52

developer   ~63809

> Looks like the plugin contains its own vendor/ folder. Is that good or bad?

My opinion : good.

I think core plugin must be really option-able (for example have own translation file too).

> Or should the dependencies be moved to the app vendor folder if it's core plugin?

Why ? Why core plugin must be different than other ?
If this lib is used only by this plugin : i think it's best to have it inside plugin dir.
ollehar

ollehar

2021-05-26 08:56

administrator   ~64566

> Why ? Why core plugin must be different than other ?

Because of security issues. We have to be able to update all third-party dependencies in one go.

Ready for testing now.
ollehar

ollehar

2021-05-26 12:01

administrator   ~64568

We're missing testing instructions for (non-technical) QA. Can you write something?
adamzammit

adamzammit

2021-05-28 03:38

developer   ~64608

Documentation and basic testing instructions:

The SPSS (sav) format is a binary data format that includes the raw result data (answer codes) along with question labels (question text / sub-question text), and response labels (answer labels) . The SPSS (sav) format can be read by the proprietary SPSS software, but also the free/libre GNU/PSPP, JASP and R software.

Currently in LimeSurvey the export to SPSS is in 2 text files, a data file along with an SPSS Syntax file which needs to be processed by SPSS or PSPP to generate a labelled data file. Details of this are available in the LimeSuvey manual here: https://manual.limesurvey.org/Export_responses#Export_responses_to_SPSS

This plugin allow for the direct export to an SPSS (sav) binary file in a very similar way to the Export Stata (xml) plugin - see here: https://manual.limesurvey.org/Export_responses#Export_STATA-xml

Data export with this plugin is done using the Export responses page: https://manual.limesurvey.org/Export_responses#Export_responses

- Choose "SPSS (.sav)" as the "Format"
- Limitations:
- Under "Responses" - Choosing "Answer codes" or "Full answers" will have no effect, "Answer codes" are always exported and fully labelled.
- Under "Headings" - Choosing "Export questions as" will have no effect - variable names are always the question code and the variable is labelled with the full question text

Click on "Export" and a ".sav" file will be available to download. Save this file and open it using software such as SPSS , PSPP, JASP or R.

The selected data from the survey should appear with variable names being the LimeSurvey question code, the questions labelled with the full question text and answer codes labelled.

---

please let me know if you need any more info @ollehar.
Adam
DenisChenu

DenisChenu

2021-05-28 07:36

developer   ~64609

Maybe need to create a new page ?


+ a new category
https://manual.limesurvey.org/Category:Export_plugin

+ move STATA (and maybe some other) to a clean new page.


Else : about Plugin : in manual : maybe we can add a a NameSpace , https://manual.limesurvey.org/Plugins: ?
ollehar

ollehar

2021-05-28 11:10

administrator   ~64616

Great, will forward this to QA.
adamzammit

adamzammit

2021-08-09 15:16

developer   ~65885

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=32482

Related Changesets

LimeSurvey: master 0662c999

2021-06-10 08:57:50

adamzammit


Committer: GitHub Details Diff
New feature 17226: Ability to export to SPSS .sav format (#1877) Affected Issues
17226
mod - application/config/config-defaults.php Diff File
mod - application/config/version.php Diff File
mod - application/core/LsDefaultDataSets.php Diff File
add - application/core/plugins/ExportSPSSsav/ExportSPSSsav.php Diff File
add - application/core/plugins/ExportSPSSsav/SPSSWriter.php Diff File
add - application/core/plugins/ExportSPSSsav/config.xml Diff File
mod - application/helpers/update/updatedb_helper.php Diff File
mod - composer.json Diff File
mod - third_party/composer/ClassLoader.php Diff File
mod - third_party/composer/autoload_classmap.php Diff File
mod - third_party/composer/autoload_files.php Diff File
mod - third_party/composer/autoload_psr4.php Diff File
mod - third_party/composer/autoload_real.php Diff File
mod - third_party/composer/autoload_static.php Diff File
add - third_party/paragonie/constant_time_encoding/.gitignore Diff File
add - third_party/paragonie/constant_time_encoding/.travis.yml Diff File
add - third_party/paragonie/constant_time_encoding/LICENSE.txt Diff File
add - third_party/paragonie/constant_time_encoding/composer.json Diff File
add - third_party/paragonie/constant_time_encoding/phpunit.xml.dist Diff File
add - third_party/paragonie/constant_time_encoding/psalm.xml Diff File
add - third_party/paragonie/constant_time_encoding/src/Base32.php Diff File
add - third_party/paragonie/constant_time_encoding/src/Base32Hex.php Diff File
add - third_party/paragonie/constant_time_encoding/src/Base64.php Diff File
add - third_party/paragonie/constant_time_encoding/src/Base64DotSlash.php Diff File
add - third_party/paragonie/constant_time_encoding/src/Base64DotSlashOrdered.php Diff File
add - third_party/paragonie/constant_time_encoding/src/Base64UrlSafe.php Diff File
add - third_party/paragonie/constant_time_encoding/src/Binary.php Diff File
add - third_party/paragonie/constant_time_encoding/src/EncoderInterface.php Diff File
add - third_party/paragonie/constant_time_encoding/src/Encoding.php Diff File
add - third_party/paragonie/constant_time_encoding/src/Hex.php Diff File
add - third_party/paragonie/constant_time_encoding/src/RFC4648.php Diff File
mod - third_party/paragonie/sodium_compat/autoload.php Diff File
mod - third_party/paragonie/sodium_compat/src/Core/BLAKE2b.php Diff File
mod - third_party/paragonie/sodium_compat/src/Core32/BLAKE2b.php Diff File
add - third_party/phpseclib/bcmath_compat/composer.json Diff File
add - third_party/phpseclib/bcmath_compat/lib/bcmath.php Diff File
add - third_party/phpseclib/bcmath_compat/src/BCMath.php Diff File
add - third_party/phpseclib/phpseclib/AUTHORS Diff File
add - third_party/phpseclib/phpseclib/LICENSE Diff File
add - third_party/phpseclib/phpseclib/appveyor.yml Diff File
add - third_party/phpseclib/phpseclib/composer.json Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Common/Functions/Strings.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/AES.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/Blowfish.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/ChaCha20.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/Common/AsymmetricKey.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/Common/BlockCipher.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/Common/Formats/Keys/OpenSSH.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/Common/Formats/Keys/PKCS.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/Common/Formats/Keys/PKCS1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/Common/Formats/Keys/PKCS8.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/Common/Formats/Keys/PuTTY.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/Common/Formats/Signature/Raw.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/Common/PrivateKey.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/Common/PublicKey.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/Common/StreamCipher.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/Common/SymmetricKey.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/Common/Traits/Fingerprint.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/Common/Traits/PasswordProtected.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/DES.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/DH.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/DH/Formats/Keys/PKCS1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/DH/Formats/Keys/PKCS8.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/DH/Parameters.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/DH/PrivateKey.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/DH/PublicKey.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/DSA.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/DSA/Formats/Keys/OpenSSH.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/DSA/Formats/Keys/PKCS1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/DSA/Formats/Keys/PKCS8.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/DSA/Formats/Keys/PuTTY.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/DSA/Formats/Keys/Raw.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/DSA/Formats/Keys/XML.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/DSA/Formats/Signature/ASN1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/DSA/Formats/Signature/Raw.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/DSA/Formats/Signature/SSH2.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/DSA/Parameters.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/DSA/PrivateKey.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/DSA/PublicKey.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/BaseCurves/Base.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/BaseCurves/Binary.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/BaseCurves/KoblitzPrime.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/BaseCurves/Montgomery.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/BaseCurves/Prime.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/BaseCurves/TwistedEdwards.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/Curve25519.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/Curve448.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/Ed25519.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/Ed448.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/brainpoolP160r1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/brainpoolP160t1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/brainpoolP192r1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/brainpoolP192t1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/brainpoolP224r1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/brainpoolP224t1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/brainpoolP256r1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/brainpoolP256t1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/brainpoolP320r1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/brainpoolP320t1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/brainpoolP384r1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/brainpoolP384t1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/brainpoolP512r1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/brainpoolP512t1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/nistb233.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/nistb409.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/nistk163.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/nistk233.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/nistk283.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/nistk409.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/nistp192.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/nistp224.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/nistp256.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/nistp384.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/nistp521.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/nistt571.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/prime192v1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/prime192v2.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/prime192v3.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/prime239v1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/prime239v2.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/prime239v3.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/prime256v1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/secp112r1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/secp112r2.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/secp128r1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/secp128r2.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/secp160k1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/secp160r1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/secp160r2.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/secp192k1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/secp192r1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/secp224k1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/secp224r1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/secp256k1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/secp256r1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/secp384r1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/secp521r1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/sect113r1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/sect113r2.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/sect131r1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/sect131r2.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/sect163k1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/sect163r1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/sect163r2.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/sect193r1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/sect193r2.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/sect233k1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/sect233r1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/sect239k1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/sect283k1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/sect283r1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/sect409k1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/sect409r1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/sect571k1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Curves/sect571r1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Formats/Keys/Common.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Formats/Keys/MontgomeryPrivate.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Formats/Keys/MontgomeryPublic.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Formats/Keys/OpenSSH.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Formats/Keys/PKCS1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Formats/Keys/PKCS8.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Formats/Keys/PuTTY.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Formats/Keys/XML.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Formats/Keys/libsodium.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Formats/Signature/ASN1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Formats/Signature/Raw.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Formats/Signature/SSH2.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/Parameters.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/PrivateKey.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/EC/PublicKey.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/Hash.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/PublicKeyLoader.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/RC2.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/RC4.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/RSA.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/RSA/Formats/Keys/MSBLOB.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/RSA/Formats/Keys/OpenSSH.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/RSA/Formats/Keys/PKCS1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/RSA/Formats/Keys/PKCS8.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/RSA/Formats/Keys/PSS.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/RSA/Formats/Keys/PuTTY.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/RSA/Formats/Keys/Raw.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/RSA/Formats/Keys/XML.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/RSA/PrivateKey.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/RSA/PublicKey.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/Random.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/Rijndael.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/Salsa20.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/TripleDES.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Crypt/Twofish.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Exception/BadConfigurationException.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Exception/BadDecryptionException.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Exception/BadModeException.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Exception/ConnectionClosedException.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Exception/FileNotFoundException.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Exception/InconsistentSetupException.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Exception/InsufficientSetupException.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Exception/NoKeyLoadedException.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Exception/NoSupportedAlgorithmsException.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Exception/UnableToConnectException.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Exception/UnsupportedAlgorithmException.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Exception/UnsupportedCurveException.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Exception/UnsupportedFormatException.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/Exception/UnsupportedOperationException.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ANSI.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Element.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/AccessDescription.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/AdministrationDomainName.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/AlgorithmIdentifier.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/AnotherName.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/Attribute.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/AttributeType.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/AttributeTypeAndValue.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/AttributeValue.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/Attributes.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/AuthorityInfoAccessSyntax.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/AuthorityKeyIdentifier.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/BaseDistance.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/BasicConstraints.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/BuiltInDomainDefinedAttribute.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/BuiltInDomainDefinedAttributes.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/BuiltInStandardAttributes.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/CPSuri.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/CRLDistributionPoints.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/CRLNumber.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/CRLReason.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/CertPolicyId.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/Certificate.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/CertificateIssuer.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/CertificateList.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/CertificatePolicies.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/CertificateSerialNumber.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/CertificationRequest.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/CertificationRequestInfo.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/Characteristic_two.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/CountryName.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/Curve.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/DHParameter.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/DSAParams.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/DSAPrivateKey.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/DSAPublicKey.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/DigestInfo.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/DirectoryString.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/DisplayText.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/DistributionPoint.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/DistributionPointName.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/DssSigValue.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/ECParameters.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/ECPoint.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/ECPrivateKey.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/EDIPartyName.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/EcdsaSigValue.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/EncryptedData.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/EncryptedPrivateKeyInfo.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/ExtKeyUsageSyntax.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/Extension.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/ExtensionAttribute.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/ExtensionAttributes.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/Extensions.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/FieldElement.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/FieldID.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/GeneralName.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/GeneralNames.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/GeneralSubtree.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/GeneralSubtrees.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/HashAlgorithm.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/HoldInstructionCode.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/InvalidityDate.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/IssuerAltName.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/IssuingDistributionPoint.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/KeyIdentifier.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/KeyPurposeId.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/KeyUsage.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/MaskGenAlgorithm.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/Name.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/NameConstraints.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/NetworkAddress.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/NoticeReference.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/NumericUserIdentifier.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/ORAddress.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/OneAsymmetricKey.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/OrganizationName.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/OrganizationalUnitNames.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/OtherPrimeInfo.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/OtherPrimeInfos.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/PBEParameter.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/PBES2params.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/PBKDF2params.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/PBMAC1params.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/PKCS9String.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/Pentanomial.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/PersonalName.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/PolicyInformation.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/PolicyMappings.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/PolicyQualifierId.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/PolicyQualifierInfo.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/PostalAddress.php Diff File
add - third_party/phpseclib/phpseclib/phpseclib/File/ASN1/Maps/Prime_p.php Diff File

Issue History

Date Modified Username Field Change
2021-04-06 01:39 adamzammit New Issue
2021-04-06 01:39 adamzammit Status new => assigned
2021-04-06 01:39 adamzammit Assigned To => adamzammit
2021-04-06 01:40 adamzammit Additional Information Updated View Revisions
2021-04-06 07:56 DenisChenu Note Added: 63806
2021-04-06 10:47 ollehar Note Added: 63807
2021-04-06 10:52 DenisChenu Note Added: 63809
2021-05-26 08:56 ollehar Note Added: 64566
2021-05-26 08:56 ollehar Status assigned => testing
2021-05-26 12:01 ollehar Note Added: 64568
2021-05-28 03:38 adamzammit Note Added: 64608
2021-05-28 07:36 DenisChenu Note Added: 64609
2021-05-28 11:10 ollehar Note Added: 64616
2021-08-09 15:16 adamzammit Changeset attached => LimeSurvey master 0662c999
2021-08-09 15:16 adamzammit Note Added: 65885
2021-08-09 15:16 adamzammit Resolution open => fixed